<div class="create-role-button" on:click="createRole()">
  ROLES
  <span class="create-role-action">
    +
  </span>
</div>

<script>
  import RestClient from "../js/RestClient";
  import RoleStore from "../stores/RoleStore";

  export default {
    methods: {
      async createRole() {
        const res = await RestClient.post(`/guilds/${this.get().guildId}/roles`, {
          name: "New Role"
        });
        RoleStore.slurp(res);
        this.fire("selectRole", res.id);
      }
    }
  };
</script>

<style>
  .create-role-button {
    margin-top: 8px;
    margin-left: 4px;
    font-size: 0.8em;
    font-weight: 700;
    color: #bbb;
    position: relative;
  }

  .create-role-button:hover .create-role-action {
    color: #fff;
  }
  .create-role-button:hover {
    cursor: pointer;
  }

  .create-role-action {
    right: 4px;
    position: absolute;
  }
</style>
